
Redmine - Patch #234

Git support patch

2007-11-06 09:14 - Patrick Aljord

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

this works with latest trunk from 5th of november, please help testing if you're a git user.

Related issues:

Related to Redmine - Patch #259: Git support for r1104 Closed

History

#1 - 2007-11-06 09:17 - Patrick Aljord

oops seems like the patch was not uploaded the first time

#2 - 2007-11-11 15:51 - Ho-Sheng Hsiao

I have applied Patrick Aljord's patch. I'm using Redmine with

git right now for my company's main project tracker. I have not

had any glitches.

Patrick and I sent a few tweaks back and forth relating to truncating

the SHA1 hashes in the repository listing. I don't think the

latest version that adds a title= attribute to the links (so

you can see the whole SHA1 hash on the truncated version) has

been uploaded here yet.

For other git users, if you are interested, we set up a git repository

with an import of the Redmine-svn along with the git-scm patch

here: http://repo.or.cz/w/gitredmine.git

(git://repo.or.cz/gitredmine.git)

Ho-Sheng Hsiao

Isshen, LLC

#3 - 2008-01-11 15:48 - Matt McMahand

I'm not a Git user, but I did apply the patch and noticed the

following problem with my subversion repository.

Before Patch

>> c = Changeset.find_by_revision_and_repository_id(320,

13)

  SQL (0.000111)   SET SQL_AUTO_IS_NULL=0

  Changeset Columns (0.000801)   SHOW FIELDS FROM changesets

  Changeset Load (0.000155)   SELECT * FROM changesets WHERE

(changesets.`revision` = 320 AND changesets.`repository_id` =

13) LIMIT 1

=> #<Changeset:0xb70a8ce8

@attributes={"commit_date"=>"2008-01-10",

"comments"=>"Adding custom actions for filtering

out playlist information",

"committed_on"=>"2008-01-10 13:21:16",

"revision"=>"320",

"id"=>"5948", "scmid"=>nil,

"repository_id"=>"13",

"committer"=>"mmcmahand"}>

>> c.previous

  Changeset Load (0.000082)   SELECT * FROM changesets WHERE

(revision < 320 AND repository_id = 13) ORDER BY revision

DESC LIMIT 1

=> #<Changeset:0xb70a488c
@attributes={"commit_date"=>"2008-01-10",

"comments"=>"adding affiliate_id for initialization

request", "committed_on"=>"2008-01-10

11:50:57", "revision"=>"319",

"id"=>"5947", "scmid"=>nil,

"repository_id"=>"13",

"committer"=>"mmcmahand"}>

>> c.previous.revision

=> 319

 After patch

>> c = Changeset.find_by_revision_and_repository_id(320,

13)

  SQL (0.000111)   SET SQL_AUTO_IS_NULL=0

  Changeset Columns (0.000801)   SHOW FIELDS FROM changesets

  Changeset Load (0.000155)   SELECT * FROM changesets WHERE

(changesets.`revision` = '320' AND changesets.`repository_id`

= 13) LIMIT 1

=> #<Changeset:0xb70a8ce8

@attributes={"commit_date"=>"2008-01-10",

"comments"=>"Adding custom actions for filtering

out playlist information",

"committed_on"=>"2008-01-10 13:21:16",

"revision"=>"320",

"id"=>"5948", "scmid"=>nil,

"repository_id"=>"13",

"committer"=>"mmcmahand"}>

>> c.previous

  Changeset Load (0.000082)   SELECT * FROM changesets WHERE

(revision < '320' AND repository_id = 13) ORDER BY revision

DESC LIMIT 1

=> #<Changeset:0xb70a488c

@attributes={"commit_date"=>"2007-01-12",

"comments"=>"--",

"committed_on"=>"2007-01-12 11:50:57",

"revision"=>"99",

"id"=>"5947", "scmid"=>nil,

"repository_id"=>"13",

"committer"=>"ccollins"}>

>> c.previous.revision

=> 99

 As you can see, it looks like the migration has goofed up the

SQL query, thus giving the wrong changeset back.

Hope this is hopeful to you.

#4 - 2008-01-17 12:51 - Rick Bradley

For what it's worth, I'm using a minorly updated version of this

patch (see https://rubyforge.org/tracker/?func=detail&group_i

d=1850&aid=17147&atid=7162) and it mostly works well.

It doesn't appear to allow for inspecting files or doing file-related

diff/changeset views.  It can see the summary information about

files and their changes, and I can view entire changesets, but

I can't download or view files, and I can't see diffs on a per-file

basis.

It would be nice to be able to mainline the patch into redmine,

as I think that would result in more git users using redmine

and more eyeballs on the git functionality in redmine.

Best,

Rick

#5 - 2008-02-21 11:23 - Thomas Lecavelier

- Status changed from New to Resolved

This issue should be closed, as #259 propose a more up to date patch.

#6 - 2008-03-09 17:41 - Jean-Philippe Lang

- Status changed from Resolved to Closed
See #259.

Files

git_edge_latest_patch.diff 18.3 KB 2008-02-03 Patrick Aljord

git_edge_latest_patch.diff 17.2 KB 2008-02-03 Patrick Aljord

git_edge_latest_patch.diff 15.8 KB 2008-02-03 Patrick Aljord

git_edge_latest_patch.diff 15.9 KB 2008-02-03 Patrick Aljord
